// file: $isip/class/asr/MachineDatabase/madb_0.cc
// version: $Id: madb_00.cc 8575 2002-08-13 23:27:48Z alphonso $
//

// isip include files
//
#include "MachineDatabase.h"

// method: default constructor
//
// arguments: none
//
// return: none
//
// this is the default constructor for the MachineDatabase class.
//
MachineDatabase::MachineDatabase() {}

//-----------------------------------------------------------------------------
//
// we define non-integral constants in the default constructor
//
//-----------------------------------------------------------------------------

// constants: required constants such as the class name
//
const String MachineDatabase::CLASS_NAME(L"MachineDatabase");

// constants: i/o related constants
//
const String MachineDatabase::DEF_PARAM(L"");
const String MachineDatabase::PARAM_NAME(L"database_name");
const String MachineDatabase::PARAM_MACHINES(L"machines");

// static instantiations: debug level
//
Integral::DEBUG MachineDatabase::debug_level_d = Integral::NONE;

// static instantiations: the memory manager
//
MemoryManager MachineDatabase::mgr_d(sizeof(Machine));
